BytecodeVariable (Groovy 5.0.6)

Package: org.codehaus.groovy.classgen.asm

## [Java] Class BytecodeVariable

- org.codehaus.groovy.classgen.asm.BytecodeVariable

-     public class BytecodeVariable
      extends Object

  Represents compile time variable metadata while compiling a method.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static BytecodeVariable` | `SUPER_VARIABLE` |
    `static BytecodeVariable` | `THIS_VARIABLE` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `BytecodeVariable(int index, ClassNode type, String name, int prevCurrent)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public org.objectweb.asm.Label` | `getEndLabel()`
    `` | `public int` | `getIndex()` Returns: the stack index for this variable
    `` | `public String` | `getName()`
    `` | `public int` | `getPrevIndex()`
    `` | `public org.objectweb.asm.Label` | `getStartLabel()`
    `` | `public ClassNode` | `getType()`
    `` | `public boolean` | `isDynamicTyped()`
    `` | `public boolean` | `isHolder()` Returns: is this local variable shared in other scopes (and so must use a ValueHolder)
    `` | `public void` | `setDynamicTyped(boolean b)`
    `` | `public void` | `setEndLabel(org.objectweb.asm.Label endLabel)`
    `` | `public void` | `setHolder(boolean holder)`
    `` | `public void` | `setStartLabel(org.objectweb.asm.Label startLabel)`
    `` | `public void` | `setType(ClassNode type)`
    `` | `public String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### public static final BytecodeVariable SUPER_VARIABLE

    - #### public static final BytecodeVariable THIS_VARIABLE

  - ### Constructor Detail

    - #### public BytecodeVariable(int index, ClassNode type, String name, int prevCurrent)

  - ### Method Detail

    - #### public org.objectweb.asm.Label getEndLabel()

    - #### public int getIndex()

      Returns:
        the stack index for this variable

    - #### public String getName()

    - #### public int getPrevIndex()

    - #### public org.objectweb.asm.Label getStartLabel()

    - #### public ClassNode getType()

    - #### public boolean isDynamicTyped()

    - #### public boolean isHolder()

      Returns:
        is this local variable shared in other scopes (and so must use a ValueHolder)

    - #### public void setDynamicTyped(boolean b)

    - #### public void setEndLabel(org.objectweb.asm.Label endLabel)

    - #### public void setHolder(boolean holder)

    - #### public void setStartLabel(org.objectweb.asm.Label startLabel)

    - #### public void setType(ClassNode type)

    - #### @Override
      public String toString()